<div id="indicator-modal" name='indicator-modal' class="modal fade">
    <div class="modal-dialog modal-md">
        <form ng-submit="self.saveIndicator()"
            name="indicatorForm">
            <div class="modal-content">
                <div class="modal-header">
                    <span ng-if="self.indicator.primary">
                        {{ self.indicator.name }}
                    </span>
                    <span ng-if="!self.indicator.primary">
                        <?= $this->translate('campain_indicator_nav_form') ?>
                    </span>
                </div>

                <div class="modal-body" style="max-height: none;">
                    <input type="hidden" name="id"
											ng-model="self.indicator.id"/>
                    <div class="row">
                        <div class="col-lg-12  required form-group">
                            <div ng-if="self.indicator.type === 'indicator'">
                                <label><?= $this->translate('campain_field_indicators') ?></label>
                                <indicator-select name="indicatorPrimary" required="false"
                                                ng-model="self.indicator.indicatorPrimary" ng-disabled="!self.indicator._rights.update"
                                                configuration="{ service : { apiParams : { col : ['id', 'name'] } } }"
                                                form="measurecampainForm"
                                                filters="{archived:false}"></indicator-select>
                                <field-errors field="primary" errors="self.errors.fields"></field-errors>
                            </div>
                            <div ng-if="self.indicator.type === 'indicator-group'">
                                <label><?= $this->translate('campain_field_groupindicators') ?></label>
                                <group-indicator-select name="groupIndicatorPrimary" required="false"
                                                ng-model="self.indicator.groupIndicatorPrimary" ng-disabled="!self.indicator._rights.update"
                                                configuration="{ service : { apiParams : { col : ['id', 'name'] } } }"
                                                form="measurecampainForm"></group-indicator-select>
                                <field-errors field="primary" errors="self.errors.fields"></field-errors>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-12 required form-group">
                            <label><?= $this->translate('campain_field_referent') ?></label>
                            <user-select name="users"
                                            ng-model="self.indicator.users" ng-disabled="!self.indicator._rights.update"
                                            configuration="{ service : { apiParams : { col : ['id', 'name'] } } }"
                                            form="measurecampainForm"
                                            required="true"
                                            multiple="true"
                                            filters="{archived:false}"></user-select>
                            <field-errors field="users" errors="self.errors.fields"></field-errors>
                        </div>
                    </div>
                    <div class="row">
                        <div class="form-group required col-lg-6 col-sm-12">
                            <label for="targetDate"><?= $this->translate('campain_field_targetdate') ?></label>
                            <input
                                type="text"
                                id="targetDate"
                                name="targetDate"
                                class="form-control"
                                required
                                autocomplete="off"
                                input-mask="qdate"
                                ng-model="self.indicator.targetDate"
                                ng-readonly="!self.indicator._rights.update" />
                            <field-errors field="targetDate" errors="self.errors.fields"></field-errors>
                        </div>
                        <div class="form-group col-lg-6 col-sm-12">
                            <div>
                                <label for="frequencyValue"><?= $this->translate('campain_field_recurrence-value') ?></label>
                                <input
                                    type="text"
                                    id="frequencyValue"
                                    name="frequencyValue"
                                    input-mask="integer"
                                    class="form-control"
                                    autocomplete="off"
                                    ng-model="self.indicator.frequencyValue"
                                    ng-readonly="!self.indicator._rights.update" />
                                <field-errors field="frequencyValue" errors="self.errors.fields"></field-errors>
                            </div>
                            <div>
                                <label for="frequency"><?= $this->translate('campain_field_recurrence') ?></label>
                                <select
                                    id="frequency"
                                    name="frequency"
                                    class="form-control"
                                    ng-model="self.indicator.frequency"
                                    ng-readonly="!self.indicator._rights.update">
                                    <option value=""></option>
                                    <?php
                                    foreach (\Campain\Entity\Indicator::getAllFrequencies() as $recurence) {
                                        echo '<option value="' . $recurence . '">' . $this->translate('campain_recurrence_' . $recurence) . '</option>';
                                    }
                                    ?>
                                </select>
                                <field-errors field="frequency" errors="self.errors.fields"></field-errors>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button data-dismiss="modal"
                            class="btn btn-default">
                        <?= $this->translate('close') ?>
                    </button>
                    <button ng-disabled="self.loading.save"
                            class="btn btn-submit">
                        <?= $this->icon('loading', '', ['ng-if' => 'self.loading.save']) ?>
                        <?= $this->translate('save') ?>
                    </button>
                </div>
            </div>
        </form>
    </div>
</div>